<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 07일 일요일 오후 20시 24분 / 맑음, 19.0, 일교차 주의, 22, 6, 0%, 0%, 1.3ms / 상당히 나쁨, 77, 43, 0.012

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 카페 분류 관리 > 배열 > 카페 분류 관리 목록보기
=====================================================================


*/

  IF ( !defined('_GNUBOARD_') )                    EXIT;

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($sub_menu, 'config') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'category.smallint.2.lib.php') );

  $left_image_trans = piree__url($sub_menu, '/images/trans_1_1.gif');

  $left_image_arrow = piree__url($sub_menu, '/images/icon_reply.gif');

  $list_all_t = 0;

  $list_category_arr = array();

  $sql_where_s = "";

  $page_navi_s = "";

  $sql_select = "SELECT COUNT(*) FROM `". $piree['category'] ."`";
  $list_all_t = sql_efv($sql_select);

  $list_res_t = $list_all_t;

  IF ( $view_mode )
  {

      SWITCH ( $view_mode )
      {

          CASE 'top' :

              $sql_where_s = "`cate_depth_n` = '1'";

          BREAK;

          CASE 'depth' :

              IF ( $cate_n > 0 )
              {

                  $category_i_a = get_category_upper_smallint2($cate_n);

                  $sql_where_s = get_category_sql_where_smallint2($category_i_a, 'cate_n', $cate_n, 1);

              }

          BREAK;

      }

  }

  IF ( $suf_mb_id || $suf_code )
  {

  }

  IF ( $sql_where_s )
  {

      $sql = "SELECT COUNT(*) FROM `". $piree['category'] ."` WHERE ". $sql_where_s ." ";
      $list_res_t = sql_efv($sql);

  }

  IF ( $list_res_t > 0 )
  {

      $sql_select = "SELECT * FROM `". $piree['category'] ."` ";

      IF ( $sql_where_s )
      {

          $sql_select .= "WHERE ". $sql_where_s ." ";

      }

      $sql_select .= "ORDER BY `cate_n` ASC";

      $result = sql_query($sql_select);

  }

?>